libmsn 4.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
XMLNode Struct Reference

List of all members.

## Classes
struct | XMLNodeDataTag
## Public Types
enum | XMLCharEncoding { encoding_UTF8 = 1, encoding_ascii = 2, encoding_ShiftJIS = 3 }
typedef enum XMLNode::XMLCharEncoding | XMLCharEncoding
## Public Member Functions
XMLCSTR | getName () const
XMLCSTR | getText (int i=0) const
int | nText () const
XMLNode | getParentNode () const
XMLNode | getChildNode (int i=0) const
XMLNode | getChildNode (XMLCSTR name, int i) const
XMLNode | getChildNode (XMLCSTR name, int *i=NULL) const
XMLNode | getChildNodeWithAttribute (XMLCSTR tagName, XMLCSTR attributeName, XMLCSTR attributeValue=NULL, int *i=NULL) const
int | nChildNode (XMLCSTR name) const
int | nChildNode () const
XMLAttribute | getAttribute (int i=0) const
XMLCSTR | getAttributeName (int i=0) const
XMLCSTR | getAttributeValue (int i=0) const
char | isAttributeSet (XMLCSTR name) const
XMLCSTR | getAttribute (XMLCSTR name, int i) const
XMLCSTR | getAttribute (XMLCSTR name, int *i=NULL) const
int | nAttribute () const
XMLClear | getClear (int i=0) const
int | nClear () const
XMLSTR | createXMLString (int nFormat=1, int *pnSize=NULL) const
XMLError | writeToFile (XMLCSTR filename, const char *encoding=NULL, char nFormat=1) const
XMLNodeContents | enumContents (int i) const
int | nElement () const
char | isEmpty () const
char | isDeclaration () const
| XMLNode (const XMLNode &A)
XMLNode & | operator= (const XMLNode &A)
XMLNode | addChild (XMLCSTR lpszName, char isDeclaration=FALSE, int pos=-1)
XMLAttribute * | addAttribute (XMLCSTR lpszName, XMLCSTR lpszValuev)
XMLCSTR | addText (XMLCSTR lpszValue, int pos=-1)
XMLClear * | addClear (XMLCSTR lpszValue, XMLCSTR lpszOpen=NULL, XMLCSTR lpszClose=NULL, int pos=-1)
XMLNode | addChild (XMLNode nodeToAdd, int pos=-1)
XMLCSTR | updateName (XMLCSTR lpszName)
XMLAttribute * | updateAttribute (XMLAttribute *newAttribute, XMLAttribute *oldAttribute)
XMLAttribute * | updateAttribute (XMLCSTR lpszNewValue, XMLCSTR lpszNewName=NULL, int i=0)
XMLAttribute * | updateAttribute (XMLCSTR lpszNewValue, XMLCSTR lpszNewName, XMLCSTR lpszOldName)
XMLCSTR | updateText (XMLCSTR lpszNewValue, int i=0)
XMLCSTR | updateText (XMLCSTR lpszNewValue, XMLCSTR lpszOldValue)
XMLClear * | updateClear (XMLCSTR lpszNewContent, int i=0)
XMLClear * | updateClear (XMLClear *newP, XMLClear *oldP)
XMLClear * | updateClear (XMLCSTR lpszNewValue, XMLCSTR lpszOldValue)
void | deleteNodeContent (char force=0)
void | deleteAttribute (XMLCSTR lpszName)
void | deleteAttribute (int i=0)
void | deleteAttribute (XMLAttribute *anAttribute)
void | deleteText (int i=0)
void | deleteText (XMLCSTR lpszValue)
void | deleteClear (int i=0)
void | deleteClear (XMLClear *p)
void | deleteClear (XMLCSTR lpszValue)
XMLNode | addChild_WOSD (XMLSTR lpszName, char isDeclaration=FALSE, int pos=-1)
XMLAttribute * | addAttribute_WOSD (XMLSTR lpszName, XMLSTR lpszValue)
XMLCSTR | addText_WOSD (XMLSTR lpszValue, int pos=-1)
XMLClear * | addClear_WOSD (XMLSTR lpszValue, XMLCSTR lpszOpen=NULL, XMLCSTR lpszClose=NULL, int pos=-1)
XMLCSTR | updateName_WOSD (XMLSTR lpszName)
XMLAttribute * | updateAttribute_WOSD (XMLAttribute *newAttribute, XMLAttribute *oldAttribute)
XMLAttribute * | updateAttribute_WOSD (XMLSTR lpszNewValue, XMLSTR lpszNewName=NULL, int i=0)
XMLAttribute * | updateAttribute_WOSD (XMLSTR lpszNewValue, XMLSTR lpszNewName, XMLCSTR lpszOldName)
XMLCSTR | updateText_WOSD (XMLSTR lpszNewValue, int i=0)
XMLCSTR | updateText_WOSD (XMLSTR lpszNewValue, XMLCSTR lpszOldValue)
XMLClear * | updateClear_WOSD (XMLSTR lpszNewContent, int i=0)
XMLClear * | updateClear_WOSD (XMLClear *newP, XMLClear *oldP)
XMLClear * | updateClear_WOSD (XMLSTR lpszNewValue, XMLCSTR lpszOldValue)
int | positionOfText (int i=0) const
int | positionOfText (XMLCSTR lpszValue) const
int | positionOfClear (int i=0) const
int | positionOfClear (XMLCSTR lpszValue) const
int | positionOfClear (XMLClear *a) const
int | positionOfChildNode (int i=0) const
int | positionOfChildNode (XMLNode x) const
int | positionOfChildNode (XMLCSTR name, int i=0) const
## Static Public Member Functions
static XMLNode | createXMLTopNode (XMLCSTR lpszName, char isDeclaration=FALSE)
static XMLNode | parseString (XMLCSTR lpXMLString, XMLCSTR tag=NULL, XMLResults *pResults=NULL)
static XMLNode | parseFile (XMLCSTR filename, XMLCSTR tag=NULL, XMLResults *pResults=NULL)
static XMLNode | openFileHelper (XMLCSTR filename, XMLCSTR tag=NULL)
static XMLCSTR | getError (XMLError error)
static XMLCSTR | getVersion ()
static XMLNode | emptyNode ()
static XMLNode | createXMLTopNode_WOSD (XMLSTR lpszName, char isDeclaration=FALSE)
static char | setGlobalOptions (XMLCharEncoding characterEncoding=XMLNode::encoding_UTF8, char guessWideCharChars=1, char dropWhiteSpace=1)
static XMLCharEncoding | guessCharEncoding (void *buffer, int bufLen, char useXMLEncodingAttribute=1)
## Static Public Attributes
static XMLNode | emptyXMLNode
static XMLClear | emptyXMLClear = { NULL, NULL, NULL}
static XMLAttribute | emptyXMLAttribute = { NULL, NULL}

The documentation for this struct was generated from the following files:

- /home/salem/libmsn/tags/libmsn-4.2/msn/xmlParser.h
- /home/salem/libmsn/tags/libmsn-4.2/msn/xmlParser.cpp

All Classes Namespaces Functions Variables Enumerations Enumerator